<?php

class i_pressbooks_6_7_0_upgrade extends i_action_upgrade
{
public function step1_init() {}
public function step1_process()
{
	

$this->extract("main", "upgrtmp");
  // don't install plugins they don't want
  if (!$this->exists("wp-content/plugins/akismet")) $this->rm("upgrtmp/wordpress/wp-content/plugins/akismet");
  if (!$this->exists("wp-content/plugins/hello.php")) $this->rm("upgrtmp/wordpress/wp-content/plugins/hello.php");
  $this->mv("upgrtmp/wordpress/*");
  $this->rm("upgrtmp");
  $this->mkdir(array('wp-content/uploads','wp-content/languages','wp-content/blogs.dir', "wp-content/uploads/et_temp"));
  $this->chmod(array("wp-content", "wp-content/uploads", "wp-content/uploads/et_temp", "wp-content/blogs.dir"), 0777);
  $this->chmod(array("wp-content/plugins", "wp-content/themes", "wp-content/languages"), 0666, 0777, true);
  // fix to remove extra security hardening fail
if ($this->exists("wp-includes/.htaccess"))
{
	$r = $this->read("wp-includes/.htaccess");
	if ( strpos($r,'<Files ms-files.php>') === false )
	{
		$this->write("wp-includes/.htaccess", $r."
<Files ms-files.php>
allow from all
</Files>");
	}
}
  

		$this->extract("pressbooks");
		$this->mv('pressbooks/*','wp-content/plugins/pressbooks/');
		$this->rm('pressbooks');
		
		// McLuhan Theme
		$this->extract("mcluhan");
		$this->mv('pressbooks-book/*','wp-content/themes/pressbooks-book/');
		$this->rm('pressbooks-book');
		
		// Aldine Theme
		$this->extract("aldine");
		$this->mv('pressbooks-aldine/*','wp-content/themes/pressbooks-aldine/');
		$this->rm('pressbooks-aldine');
		
		// Jacobs Theme
		$this->extract("jacobs");
		$this->mv('pressbooks-jacobs-*','pressbooks-jacobs');
		$this->mv('pressbooks-jacobs/*','wp-content/themes/pressbooks-jacobs');
		$this->rm('pressbooks-jacobs');
		
		// Luther Theme
		$this->extract("luther");
		$this->mv('pressbooks-luther-*','pressbooks-luther');
		$this->mv('pressbooks-luther/*','wp-content/themes/pressbooks-luther');
		$this->rm('pressbooks-luther');
		
		// Clarke Theme
		$this->extract("clarke");
		$this->mv('pressbooks-clarke-*','pressbooks-clarke');
		$this->mv('pressbooks-clarke/*','wp-content/themes/pressbooks-clarke');
		$this->rm('pressbooks-clarke');
		
		// Donham Theme
		$this->extract("donham");
		$this->mv('pressbooks-donham-*','pressbooks-donham');
		$this->mv('pressbooks-donham/*','wp-content/themes/pressbooks-donham');
		$this->rm('pressbooks-donham');
		
		// Austen Classic Theme
		$this->extract("austenclassic");
		$this->mv('pressbooks-austenclassic-*','pressbooks-austenclassic');
		$this->mv('pressbooks-austenclassic/*','wp-content/themes/pressbooks-austenclassic');
		$this->rm('pressbooks-austenclassic');
		
		// Fitzgerald Theme
		$this->extract("fitzgerald");
		$this->mv('pressbooks-fitzgerald-*','pressbooks-fitzgerald');
		$this->mv('pressbooks-fitzgerald/*','wp-content/themes/pressbooks-fitzgerald');
		$this->rm('pressbooks-fitzgerald');
		
		// BC Textbook Plugin
		$this->extract("bctextbooks");
		$this->mv('pressbooks-textbook/*','wp-content/plugins/pressbooks-textbook/');
		$this->rm('pressbooks-textbook');
		
		// mPDF Plugin
		$this->extract("mpdf");
		$this->mv('pressbooks-mpdf/*','wp-content/plugins/pressbooks-mpdf/');
		$this->rm('pressbooks-mpdf');
		
		// LTI Plugin
		$this->extract("lti");
		$this->mv('pressbooks-lti-provider-2.0.0/*','wp-content/plugins/pressbooks-lti-provider/');
		$this->rm('pressbooks-lti-provider');

$this->fetch('wp-admin/upgrade.php?step=1', null, null, false);
  $this->cp("wp-admin/network/upgrade.php", "wp-admin/network/upgrade.php.bak");
  $this->sr("wp-admin/network/upgrade.php",array(
"#require_once\( './admin.php' \);#" => "require( '../../wp-load.php' );set_time_limit(0);",
"#get_current_screen\(\)->add.+'</h2>';#sim" => "",
"#LIMIT ..n., 5#" => ""
));
  $this->fetch("wp-admin/network/upgrade.php?action=upgrade", null, null, false);
  $this->mv("wp-admin/network/upgrade.php.bak", "wp-admin/network/upgrade.php");
  $this->rm(array("readme.html",".maintenance"));

$this->rm("wpinstall.sh");
$this->write("wpinstall.sh", "#!/bin/bash
cd {$this->path}
/usr/sbin/runuser -l {$this->owner['user']} -c \"wp --allow-root --path='{$this->path}' core update-db --network\"
");


$this->sr("wpinstall.sh", "#\r\n#", "\n");
exec("/usr/bin/nohup /bin/sh {$this->path}/wpinstall.sh &> /dev/null &");
$this->fetch("wp-admin/index.php");


}
}

?>